package com.bonus.sgzb.material.domain;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 新购验收编号管理对象 
 * 
 * @author bonus
 * @date 2023-12-10
 */
public class PurchaseMacodeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 任务ID */
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    /** 类型ID */
    @ApiModelProperty(value = "类型ID")
    private Long typeId;

    /** 物资编号 */
    @ApiModelProperty(value = "物资编号")
    private String maCode;

    /** 固定资产编号 */
    @ApiModelProperty(value = "固定资产编号")
    private String fixCode;

    /** 编号类型 */
    @ApiModelProperty(value = "编号类型")
    private String codeType;

    /** 状态（0删除，1正常） */
    @ApiModelProperty(value = "状态（0删除，1正常）")
    private String status;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    private Long companyId;

    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setMaCode(String maCode) 
    {
        this.maCode = maCode;
    }

    public String getMaCode() 
    {
        return maCode;
    }
    public void setFixCode(String fixCode) 
    {
        this.fixCode = fixCode;
    }

    public String getFixCode() 
    {
        return fixCode;
    }
    public void setCodeType(String codeType) 
    {
        this.codeType = codeType;
    }

    public String getCodeType() 
    {
        return codeType;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskId", getTaskId())
            .append("typeId", getTypeId())
            .append("maCode", getMaCode())
            .append("fixCode", getFixCode())
            .append("codeType", getCodeType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
